%global momorel 1
%global md5sum_src0 2c3bf7e8236a96659728ad139ce30b33
%ifarch ia64
%global optflags -fPIC -DPIC
%endif
%global optflags %(echo -n '%{optflags}' | sed -e 's/-fstack-protector/-fno-stack-protector/g')

Summary: Portable Windows Libary
Name: pwlib
Version: 1.10.10
Release: %{momorel}m%{?dist}
URL: http://www.ekiga.org/
%NoSource 0 http://ftp.gnome.org/pub/gnome/sources/pwlib/1.10/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch8: pwlib-1.9.3-ldap.patch

License: MPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq:	expat, openssl-devel >= 0.9.8a, pkgconfig, esound
BuildPrereq:	gcc-c++
BuildPrereq:	libraw1394-devel >= 1.2.0
BuildPrereq:	libavc1394-devel >= 0.5.3
BuildPrereq:	libdv-devel alsa-lib
BuildPrereq:	openldap-devel >= 2.3.19
Requires: libdv libraw1394 libavc1394 alsa-lib

%description
PWLib is a moderately large class library that has its genesis many
years ago as a method to produce applications to run on both Microsoft
Windows and Unix X-Window systems. It also was to have a Macintosh
port as well but this never eventuated. This version does not contain
any UI code.

It is supplied mainly to support the open H323 project, but that shouldn't stop
you from using it in whatever project you have in mind if you so desire. 
#'

%package devel
Summary: Development package for pwlib
Group: Development/Libraries
Requires: pwlib = %{version}-%{release}

%description devel
The pwlib-devel package includes the libraries and header files for pwlib.

%prep
%setup -q
%patch8 -p1 -b .ldap

%build
export CFLAGS="%{optflags} -DLDAP_DEPRECATED"
%configure \
    --enable-openh323 \
    --enable-opal \
    --enable-internalregex \
    --enable-plugins \
    --enable-v4l \
    --enable-v4l2 \
    --enable-avc \
    --enable-alsa \
    --enable-oss
%make

%install
rm -rf --preserve-root %{buildroot}

make PREFIX=%{buildroot}%{_prefix} LIBDIR=%{buildroot}%{_libdir} install

cd make
for l in *.mak ; do
        chmod +w %{buildroot}%{_datadir}/%{name}/make/$l
        sed -e 's#@prefix@#%{_prefix}#' \
            -e 's#@makdir@#%{_datadir}/pwlib#' \
                < $l > %{buildroot}%{_datadir}/%{name}/make/$l
        chmod -w %{buildroot}%{_datadir}/%{name}/make/$l
done

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc History.txt ReadMe.txt mpl-1.0.htm
%{_libdir}/libpt*.so.*
%{_libdir}/pwlib/devices/sound/*.so
%{_libdir}/pwlib/devices/videoinput/*.so

%files devel
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/*
%{_libdir}/libpt*.so
%{_datadir}/pwlib
%{_includedir}/*

%changelog
* Wed Oct 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.10-1m)
- update to 1.10.10
- requires opal-2.2.11([SECURITY] CVE-2007-4924)

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.10.7-1m)
- update to 1.10.7
- use NoSource

* Mon Mar 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.5-1m)
- update to 1.10.5

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.4-1m)
- update to 1.10.4

* Mon Jan 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.3-1m)
- update to 1.10.3

* Fri Oct 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.2-1m)
- update to 1.10.2

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.1-1m)
- update to 1.10.1

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.10.0-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.0-1m)
- update to 1.10.0

* Fri Mar  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.3-1m)
- update to 1.9.3

* Wed Jan 25 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.2-1m)
- version up.

* Thu Jan 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.8.7-4m)
- -DLDAP_DEPRECATED should be removed ASAP

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.8.7-3m)
- add gcc-4.1 patch
- Patch0: pwlib-1.8.7-gcc41.patch

* Tue Dec  6 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.8.7-2m)
- enable ia64

* Tue Nov  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.8.7-1m)
- up to 1.8.7

* Fri Mar 11 2005 Toru Hoshina <t@momonga-linux.org>
- (1.6.5-5m)
- rebuild against libraw1394 and libav1394.

* Fri Feb 11 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.6.5-4m)
- enable x86_64.

* Thu Aug 19 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.6.5-3m)
- rebuild against gcc-c++-3.4.1
- add BuildPrereq: gcc-c++
- remove -fstack-protector (it causes internal compiler error...)

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.6.5-2m)
- rebuild against libdv-0.102

* Sun Apr 25 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.6.5-1m)
- update to 1.6.5

* Sat Mar  6 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.6.3-1m)
- update to 1.6.3
- sync with Fedora Core pwlib-1.6.3-2.src.rpm

* Thu Mar  6 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.4.10-3m)
  rebuild against openssl 0.9.7a

* Wed Feb 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4.10-2m)
- modify makefile.

* Wed Feb 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4.10-1m)
- version 1.4.10

* Thu Feb  6 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4.9-1m)
- version 1.4.9

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-3
- pwlib-1.4.7-noipv6.patch: Disable ipv6 check, damien claims it's unstable.
#'

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-2
- Oops. deleted a bit much from the specfile

* Wed Jan  8 2003 Alexander Larsson <alexl@redhat.com> 1.4.7-1
- Update to 1.4.7

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 1.3.11-2
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- Use pkg-config to find OpenSSL if pkg-config admits to knowing anything.

* Wed Oct 23 2002 Alexander Larsson <alexl@redhat.com> 1.3.11-1
- Upgrade to 1.3.11
- Remove pwlib-alpha patch. I don't think it's necessary anymore.
- fix %doc

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 1.3.3-5
- Use %{_libdir} etc instead of hardcoding 

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.3.3-3
- rebuilt using gcc-3.2-0.1

* Fri Jul 19 2002 Jakub Jelinek <jakub@redhat.com> 1.3.3-2
- Use glibc regex (and at the same time get rid of non-fpic code)

* Thu Jul 11 2002 Alexander Larsson <alexl@redhat.com> 1.3.3-1
- Update to 1.3.3

* Mon Jul  1 2002 Alexander Larsson <alexl@redhat.com> 1.3.1-1
- Update to 1.3.1

* Fri Mar 22 2002 Alex Larsson <alexl@redhat.com>
- Added versioned dependency in the devel package
- Fixed line-to-long error in description

* Fri Mar  8 2002 Alex Larsson <alexl@redhat.com>
- Add the video patch from damien needed for GM 0.85.1

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.2.12

* Thu Nov 29 2001 Alex Larsson <alexl@redhat.com> 1.2.5-1
- Updated to 1.2.5

* Mon Oct 01 2001 Alex Larsson <alexl@redhat.com> 1.1.36-4
- Added defattr

* Wed Sep 28 2001 Alex Larsson <alexl@redhat.com> 1.1.36-3
- made the devel package require the binary package

* Wed Sep 19 2001 Alex Larsson <alexl@redhat.com> 1.1.36-2
- Added new patch from damien

* Mon Aug 13 2001 Alexander Larsson <alexl@redhat.com> 1.1.36-1
- Upgraded to 1.1.36

* Wed Jul  4 2001 Elliot Lee <sopwith@redhat.com>
- Patch asnparser makefile so 'make -j...' works completely.

* Wed Jul  4 2001 Alexander Larsson <alexl@redhat.com>
- Borrow some stuff from the Mandrake specfile

* Wed Jul  4 2001 Jonathan Blandford <jrb@redhat.com>
- Initial build.
